package com.ruoyi.warehouse.mapper;

import java.util.List;
import com.ruoyi.warehouse.domain.InRecord;

public interface InRecordMapper
{
    public List<InRecord> selectInRecordList(InRecord inRecord);

    public InRecord selectInRecordById(Long id);

    public InRecord selectInRecordByIdForUpdate(Long id);

    public InRecord checkInNoUnique(String inNo);

    public int insertInRecord(InRecord inRecord);

    public int updateInRecord(InRecord inRecord);

    public int confirmInRecord(InRecord inRecord);

    public int deleteInRecordByIds(Long[] ids);
}
